# Get ACL rule information - DescribeNetworkAclEntry

## Overview

Get ACL rule information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeNetworkAclEntry`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **AclId** | string | ACL's ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **EntryList** | array[[*AclEntryInfo*](#aclentryinfo)] | All rules information |**Yes**|

#### Data Model


#### AclEntryInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **EntryId** | string | Entry's ID |**Yes**|
| **Priority** | string | Priority |**Yes**|
| **Direction** | string | Outbound or Inbound |**Yes**|
| **IpProtocol** | string | Targeted IP Protocol |**Yes**|
| **CidrBlock** | string | CIDR Information of IP Range |**Yes**|
| **PortRange** | string | Segment Information of Port |**Yes**|
| **EntryAction** | string | Action of Matching Rules |**Yes**|
| **TargetType** | int | Application target type. 0 represents 'All resources within the subnet', 1 represents 'Specified resources within the subnet'. |**Yes**|
| **CreateTime** | int | Created Unix Timestamp |**Yes**|
| **UpdateTime** | int | Modified Unix Timestamp |**Yes**|
| **TargetResourceList** | array[[*TargetResourceInfo*](#targetresourceinfo)] | Application target resource information. This value is not returned when TargetType is 0. See the specific structure below in TargetResourceInfo. |No|
| **TargetResourceCount** | int | The number of target application resources. This value is not returned when TargetType is 0. |No|

#### TargetResourceInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **SubnetworkId** | string | Subnet ID |**Yes**|
| **ResourceName** | string | Resource Name |**Yes**|
| **ResourceId** | string | Resource ID |**Yes**|
| **ResourceType** | int | Resource Type |**Yes**|
| **SubResourceName** | string | The name of the virtual network card bound to the resource |**Yes**|
| **SubResourceId** | string | ID of the virtual network card bound to the resource |**Yes**|
| **SubResourceType** | int | The type of resource bound to the virtual network card |**Yes**|
| **PrivateIp** | string | Intranet IP of the Resource |**Yes**|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=DescribeNetworkAclEntry
&Region=cn-bj
&ProjectId=org-xxxxx
&AclId=netacl-xxxxxx
```

### Response Example
    
```json
{
  "Action": "DescribeNetworkAclEntryResponse",
  "EntryList": [
    {
      "CidrBlock": "0.0.0.0/0",
      "CreateTime": 9,
      "Description": "hgrDEGHjv",
      "Direction": "Ingress",
      "EntryAction": "Accept",
      "EntryId": "netaclentry_xxxxx",
      "IpProtocol": "TCP",
      "PortRange": "All",
      "Priority": "100",
      "TargetResourceCount": 0,
      "TargetResourceList": null,
      "TargetType": 0,
      "UpdateTime": 4
    },
    {
      "CidrBlock": "0.0.0.0/0",
      "CreateTime": 9,
      "Description": "hgrDEGHjv",
      "Direction": "Ingress",
      "EntryAction": "Accept",
      "EntryId": "netaclentry_xxxxx",
      "IpProtocol": "TCP",
      "PortRange": "All",
      "Priority": "100",
      "TargetResourceCount": 0,
      "TargetResourceList": null,
      "TargetType": 0,
      "UpdateTime": 4
    },
    {
      "CidrBlock": "0.0.0.0/0",
      "CreateTime": 9,
      "Description": "hgrDEGHjv",
      "Direction": "Egress",
      "EntryAction": "Accept",
      "EntryId": "netaclentry_xxxxx",
      "IpProtocol": "TCP",
      "PortRange": "All",
      "Priority": "1000",
      "TargetResourceCount": 0,
      "TargetResourceList": null,
      "TargetType": 0,
      "UpdateTime": 4
    },
    {
      "CidrBlock": "0.0.0.0/0",
      "CreateTime": 9,
      "Description": "hgrDEGHjv",
      "Direction": "Egress",
      "EntryAction": "Accept",
      "EntryId": "netaclentry_xxxxx",
      "IpProtocol": "TCP",
      "PortRange": "All",
      "Priority": "1000",
      "TargetResourceCount": 0,
      "TargetResourceList": null,
      "TargetType": 0,
      "UpdateTime": 4
    }
  ],
  "RetCode": 0
}
```





